Bug 1376405 - wrong version of facter getting pulled by installers
Summary: wrong version of facter getting pulled by installers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: facter
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Jon Schlueter
QA Contact: Mike Burns
URL:
Whiteboard:
Depends On:
Blocks: 1376406
TreeView+ depends on / blocked
 
Reported: 2016-09-15 11:31 UTC by Jon Schlueter
Modified: 2016-12-14 16:02 UTC (History)
3 users (show)

Fixed In Version: facter-2.4.4-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1376406 (view as bug list)
Environment:
Last Closed: 2016-12-14 16:02:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
Red Hat Bugzilla 1400533 None None None Never

Internal Links: 1400533

Description Jon Schlueter 2016-09-15 11:31:57 UTC
Description of problem:

when installing OSP 10 for Beta I noticed we are installing 

Version-Release number of selected component (if applicable):
OSP 10 Beta

How reproducible:
always

Steps to Reproduce:
1. setup host for installing OSP 10 (including rh-common and OSP 10)
2. yum install facter
3. rpm -qa facter

Actual results:

facter-1.7.6-2.1.el7sat.x86_64


Expected results:

facter-2.4.4 is installed

facter-2.4.4-3.el7ost.x86_64 which is included in OSP 10 currently


Additional info:

Comment 2 Jon Schlueter 2016-09-15 11:33:12 UTC
epoch of facter-2.4.4-3.el7ost is less than facter-1.7.6-2.1.el7sat

Comment 9 errata-xmlrpc 2016-12-14 16:02:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.